org.apache.ant.compress.resources

## Class DumpFileSet

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.tools.ant.types.AbstractFileSet
      - - org.apache.tools.ant.types.FileSet
        - - org.apache.tools.ant.types.ArchiveFileSet
          - - org.apache.ant.compress.resources.CommonsCompressFileSet
            - - org.apache.ant.compress.resources.DumpFileSet

- All Implemented Interfaces:
    java.lang.Cloneable, java.lang.Iterable<org.apache.tools.ant.types.Resource>, org.apache.tools.ant.types.ResourceCollection, org.apache.tools.ant.types.selectors.SelectorContainer

      public class DumpFileSet
      extends CommonsCompressFileSet

  A DumpFileSet is a FileSet with extra attributes useful in the context of Dump tasks. A DumpFileSet extends FileSets with the ability to extract a subset of the entries of a Dump file for inclusion in another Dump file. It also includes a prefix attribute which is prepended to each entry in the output Dump file.
  Since:
    Apache Compress Antlib 1.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.ArchiveFileSet

      `DEFAULT_DIR_MODE, DEFAULT_FILE_MODE`

    - ### Fields inherited from class org.apache.tools.ant.types.DataType

      `checked, ref`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `DumpFileSet()` Constructor for DumpFileSet
    `protected` | `DumpFileSet(CommonsCompressFileSet fileset)` Constructor using a CommonsCompressFileSet argument.
    `protected` | `DumpFileSet(DumpFileSet fileset)` Constructor using a dumpfileset argument.
    `protected` | `DumpFileSet(org.apache.tools.ant.types.FileSet fileset)` Constructor using a fileset argument.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.tools.ant.types.ArchiveScanner` | `newArchiveScanner()` Create a new scanner.
    `protected CommonsCompressFileSet` | `newFileSet(org.apache.tools.ant.types.FileSet fs)` Creates a new CommonsCompressFileSet based on the given fileset.

    - ### Methods inherited from class org.apache.ant.compress.resources.CommonsCompressFileSet

      `checkCommonsCompressFileSetAttributesAllowed, clone, configureFileSet, getEncoding, getGid, getRef, getSkipUnreadableEntries, getUid, hasGroupIdBeenSet, hasUserIdBeenSet, setEncoding, setGid, setRefid, setSkipUnreadableEntries, setUid`

    - ### Methods inherited from class org.apache.tools.ant.types.ArchiveFileSet

      `addConfigured, dieOnCircularReference, getCheckedRef, getDirectoryScanner, getDirMode, getDirMode, getFileMode, getFileMode, getFullpath, getFullpath, getPrefix, getPrefix, getSrc, getSrc, hasDirModeBeenSet, hasFileModeBeenSet, integerSetDirMode, integerSetFileMode, isFilesystemOnly, iterator, setDir, setDirMode, setErrorOnMissingArchive, setFileMode, setFullpath, setPrefix, setSrc, setSrcResource, size, toString`

    - ### Methods inherited from class org.apache.tools.ant.types.AbstractFileSet

      `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addExecutable, addFilename, addMajority, addModified, addNone, addNot, addOr, addOwnedBy, addPresent, addReadable, addSelector, addSize, addSymlink, addType, addWritable, appendExcludes, appendIncludes, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDefaultexcludes, getDir, getDir, getDirectoryScanner, getErrorOnMissingDir, getMaxLevelsOfSymlinks, getSelectors, hasPatterns, hasSelectors, isCaseSensitive, isFollowSymlinks, mergeExcludes, mergeIncludes, mergePatterns, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setErrorOnMissingDir, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setMaxLevelsOfSymlinks, setupDirectoryScanner, setupDirectoryScanner`

    - ### Methods inherited from class org.apache.tools.ant.types.DataType

      `checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, tooManyAttributes`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### DumpFileSet

          public DumpFileSet()

      Constructor for DumpFileSet

    - #### DumpFileSet

          protected DumpFileSet(org.apache.tools.ant.types.FileSet fileset)

      Constructor using a fileset argument.
      Parameters:
        `fileset` - the fileset to use

    - #### DumpFileSet

          protected DumpFileSet(DumpFileSet fileset)

      Constructor using a dumpfileset argument.
      Parameters:
        `fileset` - the dumpfileset to use

    - #### DumpFileSet

          protected DumpFileSet(CommonsCompressFileSet fileset)

      Constructor using a CommonsCompressFileSet argument.
      Parameters:
        `fileset` - the fileset to use

  - ### Method Detail

    - #### newArchiveScanner

          protected org.apache.tools.ant.types.ArchiveScanner newArchiveScanner()

      Create a new scanner.
      Specified by:
        `newArchiveScanner` in class `org.apache.tools.ant.types.ArchiveFileSet`
      Returns:
        the created scanner.

    - #### newFileSet

          protected CommonsCompressFileSet newFileSet(org.apache.tools.ant.types.FileSet fs)

      Description copied from class: `CommonsCompressFileSet`
      Creates a new CommonsCompressFileSet based on the given fileset.
      Specified by:
        `newFileSet` in class `CommonsCompressFileSet`